
package de.ivu.elect.business.gruppe.control;

import java.io.Serializable;
import java.util.Comparator;

import de.ivu.elect.business.gruppe.entity.KopfzahlKumulierteStimmen;

public class KopfzahlenKumulierteStimmenByPositionComparator
    implements
      Comparator<KopfzahlKumulierteStimmen>,
      Serializable {

  private static final long serialVersionUID = 1L;

  @Override
  public int compare(KopfzahlKumulierteStimmen o1, KopfzahlKumulierteStimmen o2) {
    if (o1 == null) {
      if (o2 == null) {
        return 0;
      }
      return 1;
    }
    if (o2 == null) {
      return -1;
    }

    Long pos1 = o1.getPosition();
    Long pos2 = o2.getPosition();
    if (pos1 == null) {
      if (pos2 == null) {
        return 0;
      }
      return 1;
    }
    if (pos2 == null) {
      return -1;
    }

    return pos1.compareTo(pos2);
  }
}
